# frozen_string_literal: true

module Creditsafe
  class Configuration
    attr_accessor :username, :password, :environment, :debug, :countries

    def initialize
      @username = ''
      @password = ''
      @environment = :sandbox # can be either :sandbox or :production
      @debug = false
      @countries = %w[GB]
    end
  end
end
