# frozen_string_literal: true

require 'creditsafe/base_model'

module Creditsafe
  module Models
    class Address < BaseModel
      attributes :type, :simple_value, :street, :house_number,
                 :city, :postal_code, :province, :telephone, :direct_marketing_opt_out

      def line_1
        [street, house_number].compact.join(' ')
      end
    end
  end
end
